Package com.sas.services.information.metadata

# Interface AccessControlEntryInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`

All Known Implementing Classes:
  `DAVAccessControlEntry`

public interface AccessControlEntryInterface extends MetadataInterface

Since:
  1.1

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addIdentity(IdentityInterface identity)`
  Add an identity to this ACE.
  `void`
  `addPermission(PermissionInterface permission)`
  Add a permission to this ACE.
  `List`
  `getAccessControlTemplates()`
  Get the access control templates for this entry.
  `List`
  `getIdentities()`
  Get a List of identities that are associated with this ACE.
  `List`
  `getPermissions()`
  Get a List of permissions that are associated with this ACE.
  `void`
  `removeIdentity(IdentityInterface identity)`
  Remove an identity from this ACE.
  `void`
  `removePermission(PermissionInterface permission)`
  Remove a permission from this ACE.
  `void`
  `setIdentities(List identities)`
  Set the set of identities on this ACE.
  `void`
  `setPermissions(List permissions)`
  Set the list of permissions on the ACE.

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getIdentities

    List getIdentities() throws ServiceException, RemoteException
    Get a List of identities that are associated with this ACE.
    Specified by:
      `getIdentities` in interface `MetadataInterface`
    Returns:
      a List of IdentityInterface objects
    Throws:
      `ServiceException` - in the event of repository errors.
      `RemoteException` - in the event of remote object failure.

  - ### addIdentity

    void addIdentity(IdentityInterface identity) throws ServiceException, RemoteException
    Add an identity to this ACE.
    Parameters:
      `identity` - The identity to add to this ACE.
    Throws:
      `ServiceException` - in the event of repository errors.
      `RemoteException` - in the event of remote object failure.

  - ### removeIdentity

    void removeIdentity(IdentityInterface identity) throws ServiceException, RemoteException
    Remove an identity from this ACE.
    Parameters:
      `identity` - the Identity to remove from this ACE.
    Throws:
      `ServiceException` - in the event of repository errors.
      `RemoteException` - in the event of remote object failure.

  - ### setIdentities

    void setIdentities(List identities) throws ServiceException, RemoteException
    Set the set of identities on this ACE. Any existing identities will be removed, and replaced with this list.
    Parameters:
      `identities` - The List of IdentityInterface objects to set as the identities on this ACE.
    Throws:
      `ServiceException` - in the event of repository errors.
      `RemoteException` - in the event of remote object failure.

  - ### getPermissions

    List getPermissions() throws ServiceException, RemoteException
    Get a List of permissions that are associated with this ACE.
    Returns:
      a List of Permission objects.
    Throws:
      `ServiceException` - in the event of repository errors.
      `RemoteException` - in the event of remote object failure.

  - ### addPermission

    void addPermission(PermissionInterface permission) throws ServiceException, RemoteException
    Add a permission to this ACE.
    Parameters:
      `permission` - A permission to add to this ACE.
    Throws:
      `ServiceException` - in the event of repository errors.
      `RemoteException` - in the event of remote object failure.

  - ### removePermission

    void removePermission(PermissionInterface permission) throws ServiceException, RemoteException
    Remove a permission from this ACE.
    Parameters:
      `permission` - A permission to remove from this ACE.
    Throws:
      `ServiceException` - in the event of repository errors.
      `RemoteException` - in the event of remote object failure.

  - ### setPermissions

    void setPermissions(List permissions) throws ServiceException, RemoteException
    Set the list of permissions on the ACE. Any existing permissions will be removed and replaced with this list.
    Parameters:
      `permissions` - The List of Permission objects to set on this ACE.
    Throws:
      `ServiceException` - in the event of repository errors.
      `RemoteException` - in the event of remote object failure.

  - ### getAccessControlTemplates

    List getAccessControlTemplates() throws ServiceException, RemoteException
    Get the access control templates for this entry.
    Returns:
      A List of access control templates for this entry.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.